Subject: Order of FITS keywords in ASCII TABLE extension

From: francois at cdsxb6.NoSubdomain.NoDomain (Francois Ochsenbein)
Date: 17 Aug 1995 19:31:28 GMT

I have just a questions raised by a problem in the order of the
FITS keywords in in TABLE extension (XTENSION= 'TABLE   '):
the header starts with

XTENSION= 'TABLE   '           / Ascii Table Extension
BITPIX  =                    8 / Character data
NAXIS   =                    2 / Simple 2-D matrix
NAXIS1  =                  242 / Number of bytes per record
NAXIS2  =                  137 / Number of records
PCOUNT  =                    0 / Get rid of random parameters
GCOUNT  =                    1 / Only one group (isn't it obvious?)
EXTNAME = 'table1.dat'         / Catalog of Bright Galaxies in Hydra I
EQUINOX =                 1950 / Equinox of coordinates
         ====================================================================
TFIELDS =                   48 / Number of data fields (columns)
TBCOL1  =  (etc )...

and the FITS Users Guide specifies in section 3.4.1 that the order must be

1. XTENSION= 'TABLE   ' 
2. BITPIX  
3. NAXIS   
4. NAXIS1  
5. NAXIS2  
6. PCOUNT  
7. GCOUNT  
8. TFIELDS 

Does the Users Guide mean that exactly the 8 keywords must be consecutive
(without intermediate other keywords) or not ? In other words, does
the example conform or not to the standard, or should it be rewritten
XTENSION= 'TABLE   '           / Ascii Table Extension
BITPIX  =                    8 / Character data
NAXIS   =                    2 / Simple 2-D matrix
NAXIS1  =                  242 / Number of bytes per record
NAXIS2  =                  137 / Number of records
PCOUNT  =                    0 / Get rid of random parameters
GCOUNT  =                    1 / Only one group (isn't it obvious?)
TFIELDS =                   48 / Number of data fields (columns)
EXTNAME = 'table1.dat'         / Catalog of Bright Galaxies in Hydra I
EQUINOX =                 1950 / Equinox of coordinates
         ====================================================================
TBCOL1  =  (etc )...

Thank you for the expert's comments ...
================================================================================

        _/_/_/_/_/_/ . . .             Centre de Donnees astronomiques de
      _/                               Strasbourg
     _/                                http://cdsweb.u-strasbg.fr/CDS.html
    _/        _/_/  _/_/_/
   _/      _/      _/    _/            Francois Ochsenbein
    _/_/_/_/      _/    _/_/_/_/       Internet: francois at astro.u-strasbg.fr
         _/      _/    _/      _/         Phone: +33 88 35 84 11
          _/_/  _/_/_/        _/            Fax: +33 88 37 14 08
                             _/            Post: Observatoire Astronomique
                            _/                   11, rue de l'Universite
        . . . _/_/_/_/_/_/_/                     67000 STRASBOURG, France